using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 별명 변경 요청 DTO
    /// </summary>
    public class ChangeNicknameDto
    {
        [Required(ErrorMessage = "회원 ID를 입력해주세요.")]
        public required int ID { get; set; }

        [Required(ErrorMessage = "별명을 입력해주세요.")]
        [StringLength(20, ErrorMessage = "별명은 20자 이내로 입력해주세요.")]
        public required string Name { get; set; }
    }
}
